### Hierarchy

- HookFunction

### Callable

- __call(fn: Func): void
- __call(fn: AsyncFunc): void
- __call(name: string, fn?: Func): void
- __call(name: string, fn?: AsyncFunc): void

- - Defined in node_modules/@types/mocha/index.d.ts:336

  [bdd, qunit, tdd] Describe a "hook" to execute the given callback `fn`. The name of the function is used as the name of the hook.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: Func

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:343

  [bdd, qunit, tdd] Describe a "hook" to execute the given callback `fn`. The name of the function is used as the name of the hook.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: AsyncFunc

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:351

  [bdd, qunit, tdd] Describe a "hook" to execute the given `title` and callback `fn`.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: Func

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:358

  [bdd, qunit, tdd] Describe a "hook" to execute the given `title` and callback `fn`.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### name: string

  - ##### Optional fn: AsyncFunc

  #### Returns void

Generated using TypeDoc